# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "darts-clone-rs"
version = "0.2.0"
authors = ["WhiredPlanck <whiredplanck[at]outlook.com>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Rust binding of a clone of Darts (Double-ARray Trie System)"
documentation = "https://docs.rs/darts-clone-rs"
readme = "README.md"
license = "BSD-3-Clause"
repository = "https://github.com/WhiredPlanck/darts-clone-rs"

[lib]
name = "darts_clone_rs"
path = "src/lib.rs"

[dependencies.libdarts-sys]
version = "0.2"

[dev-dependencies.once_cell]
version = "1.21"

[dev-dependencies.rand]
version = "0.8"

[dev-dependencies.serial_test]
version = "3.2"
default-features = false

[profile.release]
lto = true
